## redis 2.8.4

=== src/Makefile ===
# Redis Makefile
# Copyright (C) 2009 Salvatore Sanfilippo <antirez at gmail dot com>
# This file is released under the BSD license, see the COPYING file
#
# The Makefile composes the final FINAL_CFLAGS and FINAL_LDFLAGS using
# what is needed for Redis plus the standard CFLAGS and LDFLAGS passed.
# However when building the dependencies (Jemalloc, Lua, Hiredis, ...)
# CFLAGS and LDFLAGS are propagated to the dependencies, so to pass
# flags only to be used when compiling / linking Redis itself REDIS_CFLAGS
# and REDIS_LDFLAGS are used instead (this is the case of 'make gcov').
#
# Dependencies are stored in the Makefile.dep file. To rebuild this file
# Just use 'make dep', but this is only needed by developers.

release_hdr := $(shell sh -c './mkreleasehdr.sh')
uname_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
OPTIMIZATION?=-O2
DEPENDENCY_TARGETS=hiredis linenoise lua

# Default settings
STD=-std=c99 -pedantic
WARN=-Wall
OPT=$(OPTIMIZATION)

PREFIX?=/usr/local
INSTALL_BIN=$(PREFIX)/bin
INSTALL=install

# Default allocator
ifeq ($(uname_S),Linux)
	MALLOC=jemalloc
else
	MALLOC=libc
endif

# Backwards compatibility for selecting an allocator
ifeq ($(USE_TCMALLOC),yes)
	MALLOC=tcmalloc
endif

ifeq ($(USE_TCMALLOC_MINIMAL),yes)
	MALLOC=tcmalloc_minimal
endif

ifeq ($(USE_JEMALLOC),yes)
	MALLOC=jemalloc
endif

# Override default settings if possible
-include .make-settings

FINAL_CFLAGS=$(STD) $(WARN) $(OPT) $(DEBUG) $(CFLAGS) $(REDIS_CFLAGS)
FINAL_LDFLAGS=$(LDFLAGS) $(REDIS_LDFLAGS) $(DEBUG)
FINAL_LIBS=-lm
DEBUG=-g -ggdb

ifeq ($(uname_S),SunOS)
	# SunOS
	INSTALL=cp -pf
	FINAL_CFLAGS+= -D__EXTENSIONS__ -D_XPG6
	FINAL_LIBS+= -ldl -lnsl -lsocket -lpthread
else
ifeq ($(uname_S),Darwin)
	# Darwin (nothing to do)
else
	# All the other OSes (notably Linux)
	FINAL_LDFLAGS+= -rdynamic
	FINAL_LIBS+= -pthread
endif
endif

# Include paths to dependencies
FINAL_CFLAGS+= -I../deps/hiredis -I../deps/linenoise -I../deps/lua/src

ifeq ($(MALLOC),tcmalloc)
	FINAL_CFLAGS+= -DUSE_TCMALLOC
	FINAL_LIBS+= -ltcmalloc
endif

ifeq ($(MALLOC),tcmalloc_minimal)
	FINAL_CFLAGS+= -DUSE_TCMALLOC
	FINAL_LIBS+= -ltcmalloc_minimal
endif

ifeq ($(MALLOC),jemalloc)
	DEPENDENCY_TARGETS+= jemalloc
	FINAL_CFLAGS+= -DUSE_JEMALLOC -I../deps/jemalloc/include
	FINAL_LIBS+= ../deps/jemalloc/lib/libjemalloc.a -ldl
endif

REDIS_CC=$(QUIET_CC)$(CC) $(FINAL_CFLAGS)
REDIS_LD=$(QUIET_LINK)$(CC) $(FINAL_LDFLAGS)
REDIS_INSTALL=$(QUIET_INSTALL)$(INSTALL)

CCCOLOR="\033[34m"
LINKCOLOR="\033[34;1m"
SRCCOLOR="\033[33m"
BINCOLOR="\033[37;1m"
MAKECOLOR="\033[32;1m"
ENDCOLOR="\033[0m"

ifndef V
QUIET_CC = @printf '    %b %b\n' $(CCCOLOR)CC$(ENDCOLOR) $(SRCCOLOR)$@$(ENDCOLOR) 1>&2;
QUIET_LINK = @printf '    %b %b\n' $(LINKCOLOR)LINK$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR) 1>&2;
QUIET_INSTALL = @printf '    %b %b\n' $(LINKCOLOR)INSTALL$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR) 1>&2;
endif

REDIS_SERVER_NAME=redis-server
REDIS_SENTINEL_NAME=redis-sentinel
REDIS_SERVER_OBJ=adlist.o ae.o anet.o dict.o redis.o sds.o zmalloc.o lzf_c.o lzf_d.o pqsort.o zipmap.o sha1.o ziplist.o release.o networking.o util.o object.o db.o replication.o rdb.o t_string.o t_list.o t_set.o t_zset.o t_hash.o config.o aof.o pubsub.o multi.o debug.o sort.o intset.o syncio.o migrate.o endianconv.o slowlog.o scripting.o bio.o rio.o rand.o memtest.o crc64.o bitops.o sentinel.o notify.o setproctitle.o
REDIS_CLI_NAME=redis-cli
REDIS_CLI_OBJ=anet.o sds.o adlist.o redis-cli.o zmalloc.o release.o anet.o ae.o crc64.o
REDIS_BENCHMARK_NAME=redis-benchmark
REDIS_BENCHMARK_OBJ=ae.o anet.o redis-benchmark.o sds.o adlist.o zmalloc.o redis-benchmark.o
REDIS_CHECK_DUMP_NAME=redis-check-dump
REDIS_CHECK_DUMP_OBJ=redis-check-dump.o lzf_c.o lzf_d.o crc64.o
REDIS_CHECK_AOF_NAME=redis-check-aof
REDIS_CHECK_AOF_OBJ=redis-check-aof.o

all: $(REDIS_SERVER_NAME) $(REDIS_SENTINEL_NAME) $(REDIS_CLI_NAME) $(REDIS_BENCHMARK_NAME) $(REDIS_CHECK_DUMP_NAME) $(REDIS_CHECK_AOF_NAME)
	@echo ""
	@echo "Hint: To run 'make test' is a good idea ;)"
	@echo ""

.PHONY: all

# Deps (use make dep to generate this)
include Makefile.dep

dep:
	$(REDIS_CC) -MM *.c > Makefile.dep

.PHONY: dep

persist-settings: distclean
	echo STD=$(STD) >> .make-settings
	echo WARN=$(WARN) >> .make-settings
	echo OPT=$(OPT) >> .make-settings
	echo MALLOC=$(MALLOC) >> .make-settings
	echo CFLAGS=$(CFLAGS) >> .make-settings
	echo LDFLAGS=$(LDFLAGS) >> .make-settings
	echo REDIS_CFLAGS=$(REDIS_CFLAGS) >> .make-settings
	echo REDIS_LDFLAGS=$(REDIS_LDFLAGS) >> .make-settings
	echo PREV_FINAL_CFLAGS=$(FINAL_CFLAGS) >> .make-settings
	echo PREV_FINAL_LDFLAGS=$(FINAL_LDFLAGS) >> .make-settings
	-(cd ../deps && $(MAKE) $(DEPENDENCY_TARGETS))

.PHONY: persist-settings

# Prerequisites target
.make-prerequisites:
	@touch $@

# Clean everything, persist settings and build dependencies if anything changed
ifneq ($(strip $(PREV_FINAL_CFLAGS)), $(strip $(FINAL_CFLAGS)))
.make-prerequisites: persist-settings
endif

ifneq ($(strip $(PREV_FINAL_LDFLAGS)), $(strip $(FINAL_LDFLAGS)))
.make-prerequisites: persist-settings
endif

# redis-server
$(REDIS_SERVER_NAME): $(REDIS_SERVER_OBJ)
	$(REDIS_LD) -o $@ $^ ../deps/hiredis/libhiredis.a ../deps/lua/src/liblua.a $(FINAL_LIBS)

# redis-sentinel
$(REDIS_SENTINEL_NAME): $(REDIS_SERVER_NAME)
	$(REDIS_INSTALL) $(REDIS_SERVER_NAME) $(REDIS_SENTINEL_NAME)

# redis-cli
$(REDIS_CLI_NAME): $(REDIS_CLI_OBJ)
	$(REDIS_LD) -o $@ $^ ../deps/hiredis/libhiredis.a ../deps/linenoise/linenoise.o $(FINAL_LIBS)

# redis-benchmark
$(REDIS_BENCHMARK_NAME): $(REDIS_BENCHMARK_OBJ)
	$(REDIS_LD) -o $@ $^ ../deps/hiredis/libhiredis.a $(FINAL_LIBS)

# redis-check-dump
$(REDIS_CHECK_DUMP_NAME): $(REDIS_CHECK_DUMP_OBJ)
	$(REDIS_LD) -o $@ $^ $(FINAL_LIBS)

# redis-check-aof
$(REDIS_CHECK_AOF_NAME): $(REDIS_CHECK_AOF_OBJ)
	$(REDIS_LD) -o $@ $^ $(FINAL_LIBS)

# Because the jemalloc.h header is generated as a part of the jemalloc build,
# building it should complete before building any other object. Instead of
# depending on a single artifact, build all dependencies first.
%.o: %.c .make-prerequisites
	$(REDIS_CC) -c $<

clean:
	rm -rf $(REDIS_SERVER_NAME) $(REDIS_SENTINEL_NAME) $(REDIS_CLI_NAME) $(REDIS_BENCHMARK_NAME) $(REDIS_CHECK_DUMP_NAME) $(REDIS_CHECK_AOF_NAME) *.o *.gcda *.gcno *.gcov redis.info lcov-html

.PHONY: clean

distclean: clean
	-(cd ../deps && $(MAKE) distclean)
	-(rm -f .make-*)

.PHONY: distclean

test: $(REDIS_SERVER_NAME) $(REDIS_CHECK_AOF_NAME)
	@(cd ..; ./runtest)

check: test

lcov:
	$(MAKE) gcov
	@(set -e; cd ..; ./runtest --clients 1)
	@geninfo -o redis.info .
	@genhtml --legend -o lcov-html redis.info

.PHONY: lcov

bench: $(REDIS_BENCHMARK_NAME)
	./$(REDIS_BENCHMARK_NAME)

32bit:
	@echo ""
	@echo "WARNING: if it fails under Linux you probably need to install libc6-dev-i386"
	@echo ""
	$(MAKE) CFLAGS="-m32" LDFLAGS="-m32"

gcov:
	$(MAKE) REDIS_CFLAGS="-fprofile-arcs -ftest-coverage -DCOVERAGE_TEST" REDIS_LDFLAGS="-fprofile-arcs -ftest-coverage"

noopt:
	$(MAKE) OPTIMIZATION="-O0"

valgrind:
	$(MAKE) OPTIMIZATION="-O0" MALLOC="libc"

src/help.h:
	@../utils/generate-command-help.rb > help.h

install: all
	@mkdir -p $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_SERVER_NAME) $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_BENCHMARK_NAME) $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_CLI_NAME) $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_CHECK_DUMP_NAME) $(INSTALL_BIN)
	$(REDIS_INSTALL) $(REDIS_CHECK_AOF_NAME) $(INSTALL_BIN)

=== deps/lua/src/Makefile ===
# makefile for building Lua
# see ../INSTALL for installation instructions
# see ../Makefile and luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC?= gcc
CFLAGS= -O2 -Wall $(MYCFLAGS)
AR= ar rcu
RANLIB= ranlib
RM= rm -f
LIBS= -lm $(MYLIBS)

MYCFLAGS=
MYLDFLAGS=
MYLIBS=

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
	lundump.o lvm.o lzio.o strbuf.o
LIB_O=	lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
	lstrlib.o loadlib.o linit.o lua_cjson.o lua_struct.o lua_cmsgpack.o

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o print.o

ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(CORE_O) $(LIB_O)
	$(AR) $@ $(CORE_O) $(LIB_O)	# DLL needs all object files
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c print.c

echo:
	@echo "PLAT = $(PLAT)"
	@echo "CC = $(CC)"
	@echo "CFLAGS = $(CFLAGS)"
	@echo "AR = $(AR)"
	@echo "RANLIB = $(RANLIB)"
	@echo "RM = $(RM)"
	@echo "MYCFLAGS = $(MYCFLAGS)"
	@echo "MYLDFLAGS = $(MYLDFLAGS)"
	@echo "MYLIBS = $(MYLIBS)"

# convenience targets for popular platforms

none:
	@echo "Please choose a platform:"
	@echo "   $(PLATS)"

aix:
	$(MAKE) all CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl" MYLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) all MYCFLAGS=-DLUA_ANSI

bsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-Wl,-E"

freebsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_LINUX" MYLIBS="-Wl,-E -lreadline"

generic:
	$(MAKE) all MYCFLAGS=

linux:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"

macosx:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-lreadline"
# use this on Mac OS X 10.3-
#	$(MAKE) all MYCFLAGS=-DLUA_USE_MACOSX

mingw:
	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe
	$(MAKE) "LUAC_T=luac.exe" luac.exe

posix:
	$(MAKE) all MYCFLAGS=-DLUA_USE_POSIX

solaris:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h lobject.h llimits.h ldebug.h \
  lstate.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h \
  lundump.h lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lgc.h \
  ltable.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h lobject.h llimits.h lcode.h \
  llex.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h lstring.h \
  ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h lmem.h \
  lstate.h ltm.h lzio.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h
loadlib.o: loadlib.c lua.h luaconf.h lauxlib.h lualib.h
lobject.o: lobject.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h \
  ltm.h lzio.h lmem.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h llex.h lstring.h ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
  ltm.h lzio.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lgc.h ltable.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
  lmem.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h ldo.h lobject.h llimits.h \
  lstate.h ltm.h lzio.h lmem.h lfunc.h lopcodes.h lstring.h lgc.h \
  lundump.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
  llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
  lzio.h
print.o: print.c ldebug.h lstate.h lua.h luaconf.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lopcodes.h lundump.h

# (end of Makefile)

=== debian/changelog ===
redis (2:2.8.4-2ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Permissions issue
    - debian/patches/CVE-2013-7458.patch: fix in
      deps/linenoise/linenoise.c.
    - CVE-2013-7458
  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2015-4335.patch: fix in
      deps/lua/src/ldo.c.
    - CVE-2015-4335
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2015-8080.patch: fix in
      deps/lua/src/lua_struct.c.
    - CVE-2015-8080
  * SECURITY UPDATE: Cross protocol scripting
    - debian/patches/CVE-2016-10517.patch: fix in
      src/redis.c, src/redis.h.
    - CVE-2016-10517
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2018-11218.patch: fix in
      deps/lua/src/lua_cmsgpack.c.
    - CVE-2018-11218
  * SECURITY UPDATE: Integer Overflow
    - debian/patches/CVE-2018-11219-*.patch: fix in
      deps/lua/src/lua_struct.c.
    - CVE-2018-11219
  * SECURITY UPDATE: Buffer overflow in the redis-cli
    - debian/patches/CVE-2018-12326.patch: fix in
      redis-cli.c.
    - CVE-2018-12326

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 26 Jun 2018 15:50:43 -0300

redis (2:2.8.4-2) unstable; urgency=low

  * Symlink redis-sentinel to redis-server as it's the same binary.
  * Install sentinel.conf.

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Jan 2014 12:31:14 +0000

redis (2:2.8.4-1) unstable; urgency=low

  * New upstream version.
  * Sync debian/redis.conf.
  * Also ship redis-sentinel (Closes: #735272)

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Jan 2014 10:42:09 +0000

redis (2:2.8.2-1) unstable; urgency=low

  * New upstream version.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Dec 2013 14:37:54 +0000

redis (2:2.8.0-1) unstable; urgency=low

  * New upstream release.
    - Update debian/patches/02-fix-ftbfs-on-kfreebsd.
    - Update debian/patches/03-use-system-jemalloc.diff.
    - Update debian/redis.conf
  * Bump Standards-Version to 3.9.4.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2013 16:51:55 +0000

redis (2:2.6.16-3) unstable; urgency=low

  * Add missing Replaces and Breaks to redis-tools. Thanks to Andreas Beckmann
    (anbe). (Closes: #723703)

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Sep 2013 14:35:24 +0100

redis (2:2.6.16-2) unstable; urgency=low

  * Completely rework and refresh debian/copyright. (Closes: #723162)
  * Update website in debian/copyright.
  * Drop client library references from debian/copyright (dropped in
    2:1.1.90~beta-1).
  * Update main copyright year.

 -- Chris Lamb <lamby@debian.org>  Tue, 17 Sep 2013 19:08:01 +0100

redis (2:2.6.16-1) unstable; urgency=low

  * New upstream release.
  * Split non-server binaries into redis-tools package. (Closes: #723006)
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Sep 2013 09:53:49 +0100

=== debian/control ===
Source: redis
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50), libjemalloc-dev [linux-any]
Standards-Version: 3.9.4
Homepage: http://redis.io/
Vcs-Git: git://github.com/lamby/pkg-redis.git
Vcs-Browser: https://github.com/lamby/pkg-redis

Package: redis-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, redis-tools (= ${binary:Version}), adduser
Description: Persistent key-value database with network interface
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.

Package: redis-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: redis-server (<< 2:2.6.16-1)
Breaks: redis-server (<< 2:2.6.16-1)
Description: Persistent key-value database with network interface (client)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the command line client and other tools.

=== debian/rules ===
#!/usr/bin/make -f

unexport CFLAGS

ifneq (,$(filter $(shell dpkg-architecture -qDEB_HOST_ARCH),armel hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390 sparc))
export FORCE_LIBC_MALLOC = yes
endif

%:
	dh $@

override_dh_auto_test:
	# Testsuite requires working TCP/IP and a non-interactive mode

override_dh_auto_install:

clean:
	dh $@
	rm -f src/release.h

## redis 2.8.13

=== src/Makefile ===
--- 
+++ 
@@ -107,7 +107,7 @@
 
 REDIS_SERVER_NAME=redis-server
 REDIS_SENTINEL_NAME=redis-sentinel
-REDIS_SERVER_OBJ=adlist.o ae.o anet.o dict.o redis.o sds.o zmalloc.o lzf_c.o lzf_d.o pqsort.o zipmap.o sha1.o ziplist.o release.o networking.o util.o object.o db.o replication.o rdb.o t_string.o t_list.o t_set.o t_zset.o t_hash.o config.o aof.o pubsub.o multi.o debug.o sort.o intset.o syncio.o migrate.o endianconv.o slowlog.o scripting.o bio.o rio.o rand.o memtest.o crc64.o bitops.o sentinel.o notify.o setproctitle.o
+REDIS_SERVER_OBJ=adlist.o ae.o anet.o dict.o redis.o sds.o zmalloc.o lzf_c.o lzf_d.o pqsort.o zipmap.o sha1.o ziplist.o release.o networking.o util.o object.o db.o replication.o rdb.o t_string.o t_list.o t_set.o t_zset.o t_hash.o config.o aof.o pubsub.o multi.o debug.o sort.o intset.o syncio.o migrate.o endianconv.o slowlog.o scripting.o bio.o rio.o rand.o memtest.o crc64.o bitops.o sentinel.o notify.o setproctitle.o hyperloglog.o latency.o sparkline.o
 REDIS_CLI_NAME=redis-cli
 REDIS_CLI_OBJ=anet.o sds.o adlist.o redis-cli.o zmalloc.o release.o anet.o ae.o crc64.o
 REDIS_BENCHMARK_NAME=redis-benchmark
@@ -204,6 +204,9 @@
 test: $(REDIS_SERVER_NAME) $(REDIS_CHECK_AOF_NAME)
 	@(cd ..; ./runtest)
 
+test-sentinel: $(REDIS_SENTINEL_NAME)
+	@(cd ..; ./runtest-sentinel)
+
 check: test
 
 lcov:

=== debian/changelog ===
redis (2:2.8.13-3) unstable; urgency=low

  * Correct permissions of our /var directories by chowning them recursively.
    This is necessary, at least temporarily, as systemd users were previously
    running the daemon as root causing the files in those dirs to be owned by
    that user. We could be clever and only chown files owned by root to
    accomodate users who are not running as redis:redis but I think that's
    overkill. (Closes: #756709)

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Aug 2014 17:16:53 +0100

redis (2:2.8.13-2) unstable; urgency=low

  * Under systemd, run under redis:redis. (Closes: #756621)

 -- Chris Lamb <lamby@debian.org>  Thu, 31 Jul 2014 14:49:48 +0100

redis (2:2.8.13-1) unstable; urgency=low

  * New upstream release.
  * Synchronise ./debian/redis.conf with ./redis.conf.
  * Update 03-use-system-jemalloc.diff.
  * Fix FTBFS under kfreebsd (Closes: #754634)

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Jul 2014 22:49:15 +0100

redis (2:2.8.12-1) unstable; urgency=low

  * New upstream release.
    - Synchronise ./debian/redis.conf with ./redis.conf.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Jul 2014 17:15:01 +0100

redis (2:2.8.11-1) unstable; urgency=low

  * New upstream release.
    - Synchronise ./debian/redis.conf with ./redis.conf.
  * Drop copytruncate from logrotate stanza.
  * Prefer status_of_proc over `start-stop-daemon --stop --signal 0 ...`
    (Closes: #751839)

 -- Chris Lamb <lamby@debian.org>  Tue, 17 Jun 2014 16:36:58 +0100

redis (2:2.8.8-2) unstable; urgency=low

  * Add systemd support. Thanks to Wasif Malik <wmalik.ml@gmail.com>.
    (Closes: #743750)

 -- Chris Lamb <lamby@debian.org>  Sun, 06 Apr 2014 11:24:36 +0100

redis (2:2.8.8-1) unstable; urgency=low

  * New upstream release.
    - Sync debian/redis.conf and redis.conf.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Apr 2014 19:32:15 +0100

redis (2:2.8.7-2) unstable; urgency=low

  * Revamp maintainer scripts. (Closes: #741216)

 -- Chris Lamb <lamby@debian.org>  Mon, 10 Mar 2014 22:18:29 +0000

redis (2:2.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Mar 2014 23:16:17 +0000

redis (2:2.8.6-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Feb 2014 22:47:34 +0000

redis (2:2.8.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/redis.conf to include new tcp-backlog option.

 -- Chris Lamb <lamby@debian.org>  Sat, 08 Feb 2014 12:01:48 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_test:
 	# Testsuite requires working TCP/IP and a non-interactive mode

## redis 2.8.17

=== deps/Makefile ===
# Redis dependency Makefile

uname_S:= $(shell sh -c 'uname -s 2>/dev/null || echo not')

CCCOLOR="\033[34m"
LINKCOLOR="\033[34;1m"
SRCCOLOR="\033[33m"
BINCOLOR="\033[37;1m"
MAKECOLOR="\033[32;1m"
ENDCOLOR="\033[0m"

default:
	@echo "Explicit target required"

.PHONY: default

# Prerequisites target
.make-prerequisites:
	@touch $@

# Clean everything when CFLAGS is different
ifneq ($(shell sh -c '[ -f .make-cflags ] && cat .make-cflags || echo none'), $(CFLAGS))
.make-cflags: distclean
	-(echo "$(CFLAGS)" > .make-cflags)
.make-prerequisites: .make-cflags
endif

# Clean everything when LDFLAGS is different
ifneq ($(shell sh -c '[ -f .make-ldflags ] && cat .make-ldflags || echo none'), $(LDFLAGS))
.make-ldflags: distclean
	-(echo "$(LDFLAGS)" > .make-ldflags)
.make-prerequisites: .make-ldflags
endif

distclean:
	-(cd hiredis && $(MAKE) clean) > /dev/null || true
	-(cd linenoise && $(MAKE) clean) > /dev/null || true
	-(cd lua && $(MAKE) clean) > /dev/null || true
	-(cd jemalloc && [ -f Makefile ] && $(MAKE) distclean) > /dev/null || true
	-(rm -f .make-*)

.PHONY: distclean

hiredis: .make-prerequisites
	@printf '%b %b\n' $(MAKECOLOR)MAKE$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR)
	cd hiredis && $(MAKE) static

.PHONY: hiredis

linenoise: .make-prerequisites
	@printf '%b %b\n' $(MAKECOLOR)MAKE$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR)
	cd linenoise && $(MAKE)

.PHONY: linenoise

ifeq ($(uname_S),SunOS)
	# Make isinf() available
	LUA_CFLAGS= -D__C99FEATURES__=1
endif

LUA_CFLAGS+= -O2 -Wall -DLUA_ANSI $(CFLAGS)
LUA_LDFLAGS+= $(LDFLAGS)
# lua's Makefile defines AR="ar rcu", which is unusual, and makes it more
# challenging to cross-compile lua (and redis).  These defines make it easier
# to fit redis into cross-compilation environments, which typically set AR.
AR=ar
ARFLAGS=rcu

lua: .make-prerequisites
	@printf '%b %b\n' $(MAKECOLOR)MAKE$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR)
	cd lua/src && $(MAKE) all CFLAGS="$(LUA_CFLAGS)" MYLDFLAGS="$(LUA_LDFLAGS)" AR="$(AR) $(ARFLAGS)"

.PHONY: lua

JEMALLOC_CFLAGS= -std=gnu99 -Wall -pipe -g3 -O3 -funroll-loops $(CFLAGS)
JEMALLOC_LDFLAGS= $(LDFLAGS)

jemalloc: .make-prerequisites
	@printf '%b %b\n' $(MAKECOLOR)MAKE$(ENDCOLOR) $(BINCOLOR)$@$(ENDCOLOR)
	cd jemalloc && ./configure --with-jemalloc-prefix=je_ --enable-cc-silence CFLAGS="$(JEMALLOC_CFLAGS)" LDFLAGS="$(JEMALLOC_LDFLAGS)"
	cd jemalloc && $(MAKE) CFLAGS="$(JEMALLOC_CFLAGS)" LDFLAGS="$(JEMALLOC_LDFLAGS)" lib/libjemalloc.a

.PHONY: jemalloc

=== src/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # Default settings
 STD=-std=c99 -pedantic
-WARN=-Wall
+WARN=-Wall -W
 OPT=$(OPTIMIZATION)
 
 PREFIX?=/usr/local
@@ -58,17 +58,23 @@
 	# SunOS
 	INSTALL=cp -pf
 	FINAL_CFLAGS+= -D__EXTENSIONS__ -D_XPG6
-	FINAL_LIBS+= -ldl -lnsl -lsocket -lpthread
+	FINAL_LIBS+= -ldl -lnsl -lsocket -lresolv -lpthread
 else
 ifeq ($(uname_S),Darwin)
 	# Darwin (nothing to do)
+else
+ifeq ($(uname_S),AIX)
+        # AIX
+        FINAL_LDFLAGS+= -Wl,-bexpall
+        FINAL_LIBS+= -pthread -lcrypt -lbsd
+
 else
 	# All the other OSes (notably Linux)
 	FINAL_LDFLAGS+= -rdynamic
 	FINAL_LIBS+= -pthread
 endif
 endif
-
+endif
 # Include paths to dependencies
 FINAL_CFLAGS+= -I../deps/hiredis -I../deps/linenoise -I../deps/lua/src
 
@@ -119,7 +125,7 @@
 
 all: $(REDIS_SERVER_NAME) $(REDIS_SENTINEL_NAME) $(REDIS_CLI_NAME) $(REDIS_BENCHMARK_NAME) $(REDIS_CHECK_DUMP_NAME) $(REDIS_CHECK_AOF_NAME)
 	@echo ""
-	@echo "Hint: To run 'make test' is a good idea ;)"
+	@echo "Hint: It's a good idea to run 'make test' ;)"
 	@echo ""
 
 .PHONY: all

=== debian/changelog ===
redis (2:2.8.17-1~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Fix Lua sandbox bypass by disabling Lua bytecode loading
    as per CVE-2015-4335.
  * Drop systemd support from wheezy-backports branch.

 -- Chris Lamb <lamby@debian.org>  Mon, 15 Jun 2015 11:12:39 +0100

redis (2:2.8.17-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports. (Closes: #764674)

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Oct 2014 15:54:19 +0100

redis (2:2.8.17-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Oct 2014 11:47:32 +0100

redis (2:2.8.14-1) unstable; urgency=low

  * New upstream release.
  * Guillaume Delacour:
    - Use dpkg-buildflags CFLAGS, CPPFLAGS (patch upstream Makefile) and
      LDFLAGS, also use pie and relro via DEB_BUILD_MAINT_OPTIONS
    - Call make V=1 to show gcc command lines (blhc) and enable parallel build
  * Sync debian/redis.conf and redis.conf.
  * Refresh 02-fix-ftbfs-on-kfreebsd patch.

 -- Chris Lamb <lamby@debian.org>  Fri, 05 Sep 2014 13:54:51 +0100

redis (2:2.8.6-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports
    - In a clean environment; mea culpa (Closes: #740641)

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Mar 2014 22:04:05 +0000

redis (2:2.8.5-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Feb 2014 09:36:42 +0000

redis (2:2.6.13-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Aug 2013 14:22:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: redis
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libjemalloc-dev [linux-any]
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://redis.io/
 Vcs-Git: git://github.com/lamby/pkg-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-redis

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS CFLAGS LDFLAGS

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
	export MAKEFLAGS
endif

ifneq (,$(filter $(shell dpkg-architecture -qDEB_HOST_ARCH),armel hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390 sparc))
export FORCE_LIBC_MALLOC = yes
endif

%:
	dh $@

override_dh_auto_test:
	# Testsuite requires working TCP/IP and a non-interactive mode

override_dh_auto_install:

override_dh_auto_build:
	dh_auto_build --parallel -- V=1

clean:
	dh $@
	rm -f src/release.h

## redis 2.8.19

=== src/Makefile ===
--- 
+++ 
@@ -251,3 +251,4 @@
 	$(REDIS_INSTALL) $(REDIS_CLI_NAME) $(INSTALL_BIN)
 	$(REDIS_INSTALL) $(REDIS_CHECK_DUMP_NAME) $(INSTALL_BIN)
 	$(REDIS_INSTALL) $(REDIS_CHECK_AOF_NAME) $(INSTALL_BIN)
+	@ln -sf $(INSTALL_BIN)/$(REDIS_SERVER_NAME) $(INSTALL_BIN)/$(REDIS_SENTINEL_NAME)

=== debian/changelog ===
redis (2:2.8.19-3) unstable; urgency=medium

  * Add DEP-8 smoke test.

 -- Chris Lamb <lamby@debian.org>  Sun, 08 Feb 2015 19:19:42 +0000

redis (2:2.8.19-2) unstable; urgency=low

  * Re-enable testsuite.
    - Add tcl to Build-Depends.
  * Add --oknodo to initscript "start" action to ensure correct return code if
    is already running.
  * Use the latest debian/changelog date in 05-reproducible-build.diff.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Jan 2015 04:48:25 +0000

redis (2:2.8.19-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Dec 2014 10:06:28 +0000

redis (2:2.8.18-1) unstable; urgency=low

  * New upstream release.
    - Sync debian/redis.conf.
  * Attempt to make build reproducible by dropping timestamp/uname name from
    release.h.
  * Bump Standards-Version to 3.9.6.

 -- Chris Lamb <lamby@debian.org>  Thu, 11 Dec 2014 12:19:43 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: database
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50), libjemalloc-dev [linux-any]
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.50), libjemalloc-dev [linux-any], dh-systemd (>= 1.5), tcl
+Standards-Version: 3.9.6
 Homepage: http://redis.io/
 Vcs-Git: git://github.com/lamby/pkg-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-redis

=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,7 @@
 endif
 
 %:
-	dh $@
-
-override_dh_auto_test:
-	# Testsuite requires working TCP/IP and a non-interactive mode
+	dh $@ --with systemd
 
 override_dh_auto_install:

## redis 3.0.3

=== debian/changelog ===
redis (2:3.0.3-3) unstable; urgency=medium

  * Replace ExecStop in systemd configuration with TimeoutStopSpec. Calls to
    `redis-cli shutdown` were not reliable if the port/UNIX socket had changed
    from the defaults (or is not accessible due to firewalling, permissions,
    etc.)

    Note that we cannot simply remove ExecStop (hence TimeoutStopSpec) as we
    must wait for the server to fully shutdown - it may not have finished
    writing the dump file to disk and thus we would be risking silent data loss
    if it is SIGKILL'd.

    Thanks to Chris Kuehl <ckuehl@ocf.berkeley.edu>. (Closes: #794437)

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Aug 2015 14:40:19 +0100

redis (2:3.0.3-2) unstable; urgency=medium

  * Switch from RuntimeDirectory to systemd-tempfiles.

    Both redis-server and redis-sentinel use the the same RuntimeDirectory
    (/run/redis). This is wrong since systemd removes RuntimeDirectory on
    service stop. So, stopping redis-server removes redis-sentinel.pid as well.

    Using a systemd-tempfile is a more robust approach. We are also removing
    ExecStartPre lines since directory creation is handled in a different
    level.

    Thanks to Christos Trochalakis <yatiohi@ideopolis.gr>. (Closes: #793016)

 -- Chris Lamb <lamby@debian.org>  Mon, 20 Jul 2015 14:52:01 +0100

redis (2:3.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jul 2015 14:48:12 +0100

redis (2:3.0.2-3) unstable; urgency=medium

  * Add some missing tools:
    - ./utils/lru/
    - ./src/redis-trib.rb
    - Don't compress redis-trib.rb
    - Add ruby-redis to Suggests.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jul 2015 15:23:33 +0100

redis (2:3.0.2-2) unstable; urgency=medium

  * Create /var/run/redis with the correct permissions in systemd .service
    files. Thanks to Sebastian Lipponer <mail@sebastianlipponer.de>.
    (Closes: #787257)
  * Install Bash completions to /usr/share/bash-completion/completions instead
    of /etc/bash_completion.d (see #787257).

 -- Chris Lamb <lamby@debian.org>  Wed, 17 Jun 2015 15:56:52 +0100

redis (2:3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jun 2015 12:38:22 +0100

redis (2:3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 May 2015 16:23:59 +0100

redis (2:3.0.0-2) unstable; urgency=medium

  * redis-server was not able to start under systemd with default redis.conf
    due to the absence of /var/run/redis; when RuntimeDirectory is specified in
    *.service file, systemd creates the directory in /var/run and sets the
    correct permissions. Thanks to Mikhael A <spir@spir.ru>.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Apr 2015 13:27:08 +0100

redis (2:3.0.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Apr 2015 18:08:31 +0100

redis (2:3.0.0~rc6-2) unstable; urgency=medium

  * Don't make test failures cause a build failure - known timing issues
    upstream.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Mar 2015 13:37:18 +0000

redis (2:3.0.0~rc6-1) unstable; urgency=medium

  * New upstream RC release.

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Mar 2015 23:12:29 +0000

redis (2:3.0.0~rc5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Mar 2015 19:16:34 +0000

redis (2:3.0.0~rc5-1) experimental; urgency=medium

  * New upstream RC release.
  * wrap-and-sort entries.
  * Tidy debian/rules.
  * Move to debhelper compatibility level 9.
  * Don't run tests if nocheck specified.
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Mar 2015 11:36:46 +0000

redis (2:3.0.0~rc4-1) experimental; urgency=medium

  * New upstream RC release.
  * wrap-and-sort.
  * Use the latest debian/changelog date in 05-reproducible-build.diff.

 -- Chris Lamb <lamby@debian.org>  Fri, 13 Feb 2015 23:33:53 +0000

redis (2:3.0.0~rc3-1) experimental; urgency=medium

  * New upstream RC release.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Jan 2015 19:03:31 +0000

redis (2:3.0.0~rc2-2) experimental; urgency=medium

  * Add Build-Depends on `tcl` for tests.
  * Add the following run-parts(8) directories that are be executed at the
    appropriate daemon start and stop actions:

    - /etc/redis/redis-server.pre-up.d
    - /etc/redis/redis-server.pre-down.d
    - /etc/redis/redis-server.post-up.d
    - /etc/redis/redis-server.post-down.d
    - /etc/redis/redis-sentinel.pre-up.d
    - /etc/redis/redis-sentinel.pre-down.d
    - /etc/redis/redis-sentinel.post-up.d
    - /etc/redis/redis-sentinel.post-down.d

    This is useful for loading Lua scripts which are not persisted across
    restarts. Scripts should be idempotent so that multiple calls to (eg.)
    "/etc/init.d/redis-server start" do not result in unintended consequences.
  * Also run Redis Sentinel tests.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Jan 2015 05:04:24 +0000

redis (2:3.0.0~rc2-1) experimental; urgency=low

  * New upstream RC release.
    - Sync debian/redis.conf.
  * Renable testsuite.
  * Add --oknodo to initscript "start" action to ensure correct return code if
    is already running.
  * Split redis-sentinel into its own package (Closes: #775414)
    - Move /usr/bin/redis-sentinel symlink to new package.
    - Fork ./sentinel.conf -> debian/sentinel.conf for own changes.
    - Add logrotate stanza.
    - Override permissions of /etc/redis/sentinel.conf with dpkg-statoverride -
      needs to be writable by Sentinel itself.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Jan 2015 10:55:28 +0000

redis (2:2.4.0~rc5-1) experimental; urgency=low

  * New upstream RC release.
  * Update debian/redis.conf.
  * Drop documentation package - dropped upstream.

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Jul 2011 21:41:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: database
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50), libjemalloc-dev [linux-any], dh-systemd (>= 1.5), tcl
+Build-Depends: debhelper (>= 9),
+               dh-systemd (>= 1.5),
+               libjemalloc-dev [linux-any],
+               tcl
 Standards-Version: 3.9.6
 Homepage: http://redis.io/
 Vcs-Git: git://github.com/lamby/pkg-redis.git
@@ -10,7 +13,10 @@
 
 Package: redis-server
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, redis-tools (= ${binary:Version}), adduser
+Depends: adduser,
+         redis-tools (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Persistent key-value database with network interface
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically
@@ -21,6 +27,7 @@
 Package: redis-tools
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: ruby-redis
 Replaces: redis-server (<< 2:2.6.16-1)
 Breaks: redis-server (<< 2:2.6.16-1)
 Description: Persistent key-value database with network interface (client)
@@ -29,3 +36,13 @@
  manipulating and querying data structures such as lists and sets.
  .
  This package contains the command line client and other tools.
+
+Package: redis-sentinel
+Architecture: any
+Depends: redis-server (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Persistent key-value database with network interface (monitoring)
+ Redis is a key-value database in a similar vein to memcache but the dataset
+ is non-volatile. Redis additionally provides native support for atomically
+ manipulating and querying data structures such as lists and sets.
+ .
+ This package contains the Redis Sentinel monitoring software.

## redis 3.0.5

=== debian/changelog ===
redis (2:3.0.5-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 27 Nov 2015 12:11:43 +0200

redis (2:3.0.5-4) unstable; urgency=high

  * CVE-2015-8080: Integer wraparound in lua_struct.c causing stack-based
    buffer overflow (Closes: #804419)
  * Correct call to /bin/kill in redis-{server,sentinel}.service to avoid
    "kill: invalid argument T" messages when $MAINPID is not set.

 -- Chris Lamb <lamby@debian.org>  Sat, 21 Nov 2015 16:22:45 +0200

redis (2:3.0.5-3) unstable; urgency=medium

  * Add a redis-sentinel.tmpfile matching redis-server.tmpfile.
  * wrap-and-sort -sa
  * Rebase all patches with `gbp pq`.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2015 10:54:30 +0000

redis (2:3.0.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2015 00:08:48 +0000

redis (2:3.0.5-2) unstable; urgency=medium

  * Also specify `ProtectSystem=true` over `ProtectSystem=full` in
    redis-server.service so that it can write its own configuration file
    when being run in cluster mode. (Closes: #803366)

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Oct 2015 00:01:17 +0000

redis (2:3.0.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 15 Oct 2015 16:21:57 +0100

redis (2:3.0.5-1) unstable; urgency=medium

  * New upstream release.
    - Sync ./redis.conf and ./debian/redis.conf.

 -- Chris Lamb <lamby@debian.org>  Thu, 15 Oct 2015 16:12:17 +0100

redis (2:3.0.4-8) unstable; urgency=medium

  * Use `ProtectSystem=true` over `ProtectSystem=full` in
    redis-sentinel.service so that it can write its own configuration file
    under /etc. Thanks to Pete Hicks <jph@bebo.com> for the report and fix.
    (Closes: #799696)

 -- Chris Lamb <lamby@debian.org>  Tue, 13 Oct 2015 20:46:23 +0100

redis (2:3.0.4-7) unstable; urgency=medium

  * Change the default (and commented-out) value for "unixsocket" from
    /tmp/redis.sock -> /var/run/redis/redis.sock so that it will work even
    under systemd's PrivateTmp=True. Thanks to 
    Chris <Fisch.666@gmx.de> (Closes: #801464)

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Oct 2015 21:11:57 +0200

redis (2:3.0.4-6) unstable; urgency=medium

  * Allow redis-sentinel to actually write to its own directory;
    ReadWriteDirectories cannot take a filename as I previously thought.
    Thanks to Bernd Zeimetz <b.zeimetz@conova.com> for the prompt report.
    (Closes: #799696)

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Sep 2015 23:24:31 +0200

redis (2:3.0.4-5) unstable; urgency=medium

  * Don't install /etc/redis/{redis,sentinel}.conf world-readable as they may
    contain passwords, additionally setting the ownership to ensure they can
    read their own configuration. (Closes: #800435)
  * Disable CAP_SYS_PTRACE in systemd service files
  * Add Documentation= header to systemd service files.
  * Add a "redis" systemd unit alias.

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Sep 2015 17:42:22 +0200

redis (2:3.0.4-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 20 Sep 2015 15:10:40 +0100

redis (2:3.0.4-4) unstable; urgency=medium

  * Make the parallel change in 2:30.4-3 to redis-server's initscript, not just
    redis-sentinel's.

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Sep 2015 14:18:42 +0100

redis (2:3.0.4-3) unstable; urgency=medium

  * Specific `-s /bin/sh` in su's call to start run-parts as the redis's user's
    shell of /bin/false was preventing it from starting under sysvinit. Thanks to
    Michal Humpula <michal.humpula@hudrydum.cz>. (Closes: #798951)

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Sep 2015 14:13:26 +0100

redis (2:3.0.4-2) unstable; urgency=medium

  * Add PIDFile= to systemd service files.
  * Run /etc/redis/redis-server.post-up.d (etc.) under the 'redis' user, not
    root in initscript.
    - Document this in 00_example files.
  * Execute run-parts files under systemd, not just under sysvinit.
    (Closes: #798771)
  * Add rudimentary hardening under systemd. (Closes: #798770)

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Sep 2015 07:18:13 +0100

redis (2:3.0.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Sep 2015 19:33:23 +0100

redis (2:3.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Sync debian/redis.conf.
  * Put --system further on to avoid issues with lintian false-positive (and to
    match the manpage).

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Sep 2015 10:28:51 +0100

redis (2:3.0.2-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 12 Jul 2015 14:34:16 +0100

redis (2:3.0.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jun 2015 12:42:49 +0100

redis (2:3.0.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 13 May 2015 10:15:37 +0100

redis (2:3.0.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Apr 2015 18:02:00 +0100
